/*
###############################################################
#  Generated by:      Cadence Encounter 14.13-s036_1
#  OS:                Linux x86_64(Host ID lnxmicv03.cern.ch)
#  Generated on:      Tue Oct 27 11:11:23 2015
#  Design:            end_of_column
#  Command:           saveNetlist ../output/dfm.v
###############################################################
*/
`timescale 1ns/10ps

module set_ff (
	clk, 
	set, 
	out, 
	in);
   input clk;
   input set;
   output out;
   input in;

   // Internal wires
   wire n_0;

   DFSNQD1 out_reg (.SDN(n_0),
	.Q(out),
	.D(in),
	.CP(clk));
   CKND0 Fp9999970A (.ZN(n_0),
	.I(set));
endmodule

module end_of_column (
	shutter, 
	TPswitch, 
	configure_matrix, 
	polarity, 
	clock_div1, 
	clock_div0, 
	shutter_multi, 
	TPswitch_multi, 
	shift_multi, 
	configure_matrix_multi, 
	polarity_multi, 
	use_cluster_compression_multi, 
	use_compression_multi, 
	clock_div1_multi, 
	clock_div0_multi, 
	clkout, 
	column_done, 
	dataout, 
	reset, 
	use_cluster_compression, 
	use_compression, 
	token, 
	fastor, 
	datain_column, 
	shift_data, 
	select_clock, 
	clkin_slow, 
	clkin_divided);
   input shutter;
   input TPswitch;
   input configure_matrix;
   input polarity;
   input clock_div1;
   input clock_div0;
   output shutter_multi;
   output TPswitch_multi;
   output shift_multi;
   output configure_matrix_multi;
   output polarity_multi;
   output use_cluster_compression_multi;
   output use_compression_multi;
   output clock_div1_multi;
   output clock_div0_multi;
   output clkout;
   output column_done;
   output dataout;
   input reset;
   input use_cluster_compression;
   input use_compression;
   input token;
   input fastor;
   input datain_column;
   input shift_data;
   input select_clock;
   input clkin_slow;
   input clkin_divided;

   // Internal wires
   wire set_flag;
   wire n_136;
   wire n_135;
   wire n_134;
   wire n_133;
   wire n_129;
   wire n_127;
   wire n_126;
   wire n_125;
   wire n_124;
   wire n_123;
   wire n_96;
   wire n_92;
   wire n_91;
   wire n_90;
   wire n_89;
   wire n_87;
   wire n_86;
   wire n_85;
   wire n_84;
   wire n_83;
   wire n_82;
   wire n_80;
   wire n_79;
   wire n_78;
   wire n_77;
   wire n_76;
   wire n_75;
   wire n_74;
   wire n_73;
   wire n_72;
   wire n_71;
   wire n_70;
   wire n_69;
   wire n_68;
   wire n_67;
   wire n_66;
   wire n_65;
   wire n_64;
   wire n_63;
   wire n_62;
   wire n_61;
   wire n_60;
   wire n_59;
   wire n_58;
   wire n_57;
   wire n_56;
   wire n_55;
   wire n_54;
   wire n_53;
   wire n_52;
   wire n_51;
   wire n_50;
   wire n_49;
   wire n_48;
   wire n_47;
   wire n_46;
   wire n_45;
   wire n_44;
   wire n_43;
   wire n_42;
   wire n_41;
   wire n_40;
   wire n_39;
   wire n_38;
   wire n_37;
   wire n_36;
   wire n_35;
   wire n_34;
   wire n_33;
   wire n_32;
   wire n_31;
   wire n_30;
   wire n_29;
   wire n_28;
   wire n_27;
   wire n_26;
   wire n_25;
   wire n_23;
   wire n_22;
   wire n_21;
   wire n_20;
   wire n_19;
   wire n_18;
   wire n_17;
   wire n_16;
   wire n_15;
   wire n_14;
   wire n_13;
   wire n_12;
   wire n_11;
   wire n_10;
   wire n_9;
   wire n_8;
   wire n_7;
   wire n_6;
   wire n_5;
   wire n_4;
   wire clkout_gated;
   wire [3:0] cluster_counter;
   wire [3:0] pixel_counter;
   wire [3:0] bit_counter;
   wire [3:0] state;
   wire LTIELO_NET;
   wire FE_OFN1_dataout;
   wire FE_OFN0_dataout;
   wire FE_OFN3_n_47;
   wire FE_OFN5_column_done;
   wire FE_OFN4_column_done;
   wire FE_OFN7_token;
   wire FE_OFN8_shift_data;
   wire FE_OFN9_use_compression;
   wire FE_OFN10_use_cluster_compression;
   wire FE_OFN11_reset;
   wire clkout__SKEWGRP1___SRC;
   wire clkin_divided__L1_N0;
   wire clkin_divided__L2_N0;
   wire clkin_divided__L2_N1;
   wire clkin_divided__L3_N0;
   wire clkin_divided__L4_N0;
   wire clkin_divided__L5_N0;
   wire clkin_divided__L6_N0;
   wire clkin_slow__L1_N0;
   wire clkin_slow__L2_N0;
   wire clkin_divided__N0;
   wire FE_OFN12_clkout;

   //MANUALLY ADDED SPECIFY BLK
   reg  notifier;
  specify
    specparam TRise = 10,
    TFall = 15;
    (shutter => shutter_multi) = (0, 0) ;
    (shift_data => shift_multi) = (0, 0) ;
    (polarity => polarity_multi) = (0, 0) ;
    (configure_matrix => configure_matrix_multi) = (0, 0) ;
    (clock_div1 => clock_div1_multi) = (0, 0) ;
    (clock_div0 => clock_div0_multi) = (0, 0) ;
    (TPswitch => TPswitch_multi) = (0, 0) ;
    (posedge clkin_divided => (clkout+:clkin_divided)) = (0, 0) ;
    (negedge clkin_divided => (clkout-:clkin_divided)) = (0, 0) ;
    (posedge clkin_divided => (column_done+:datain_column)) = (0, 0) ;
    (posedge clkin_divided => (dataout-:datain_column)) = (0, 0) ;
    $width (posedge clkin_slow, 0, 0, notifier);
    $width (negedge clkin_slow, 0, 0, notifier);
    $width (posedge clkin_divided, 0, 0, notifier);
    $width (negedge clkin_divided, 0, 0, notifier);
	$setuphold (posedge clkin_divided , posedge datain_column , 0, 0, notifier);
	$setuphold (posedge clkin_divided , negedge datain_column , 0, 0, notifier);
	$setuphold (posedge clkin_divided , posedge reset , 0, 0, notifier);
	$setuphold (posedge clkin_divided , negedge reset , 0, 0, notifier);
    $recrem (posedge shift_data, posedge clkin_divided, 0,0, notifier);
	$setuphold (posedge clkin_divided , posedge shift_data , 0, 0, notifier);
	$setuphold (posedge clkin_divided , negedge shift_data , 0, 0, notifier);
	$setuphold (posedge clkin_divided , posedge token , 0, 0, notifier);
	$setuphold (posedge clkin_divided , negedge token , 0, 0, notifier);
  endspecify
   
   
   
   DFQD1 \state_reg[2]  (.Q(state[2]),
	.D(n_76),
	.CP(clkin_divided__L6_N0));
   DFQD1 \state_reg[3]  (.Q(state[3]),
	.D(n_64),
	.CP(clkin_divided__L6_N0));
   INVD1 Fp9999949A (.ZN(n_16),
	.I(n_17));
   BUFFD2 FE_OFC10_use_cluster_compression (.Z(FE_OFN10_use_cluster_compression),
	.I(use_cluster_compression));
   BUFFD2 FE_OFC9_use_compression (.Z(FE_OFN9_use_compression),
	.I(use_compression));
   BUFFD2 FE_OFC8_shift_data (.Z(FE_OFN8_shift_data),
	.I(shift_data));
   CKXOR2D0 p1852A (.Z(n_69),
	.A2(bit_counter[3]),
	.A1(n_56));
   CKXOR2D0 p1852A2757 (.Z(n_68),
	.A2(pixel_counter[3]),
	.A1(n_52));
   CKXOR2D0 p1852A2758 (.Z(n_67),
	.A2(cluster_counter[3]),
	.A1(n_54));
   DFCNQD1 \bit_counter_reg[3]  (.Q(bit_counter[3]),
	.D(n_77),
	.CP(clkin_divided__L6_N0),
	.CDN(n_48));
   DFCNQD1 \pixel_counter_reg[3]  (.Q(pixel_counter[3]),
	.D(n_78),
	.CP(clkin_divided__L6_N0),
	.CDN(FE_OFN3_n_47));
   DFCNQD1 \cluster_counter_reg[3]  (.Q(cluster_counter[3]),
	.D(n_79),
	.CP(clkin_divided__L6_N0),
	.CDN(n_16));
   DFCNQD1 \pixel_counter_reg[2]  (.Q(pixel_counter[2]),
	.D(n_73),
	.CP(clkin_divided__L6_N0),
	.CDN(FE_OFN3_n_47));
   DFCNQD1 \bit_counter_reg[2]  (.Q(bit_counter[2]),
	.D(n_70),
	.CP(clkin_divided__L6_N0),
	.CDN(n_48));
   DFCNQD1 \cluster_counter_reg[2]  (.Q(cluster_counter[2]),
	.D(n_74),
	.CP(clkin_divided__L6_N0),
	.CDN(n_16));
   DFCNQD1 \cluster_counter_reg[0]  (.Q(cluster_counter[0]),
	.D(n_66),
	.CP(clkin_divided__L6_N0),
	.CDN(n_16));
   DFCNQD1 \cluster_counter_reg[1]  (.Q(cluster_counter[1]),
	.D(n_65),
	.CP(clkin_divided__L6_N0),
	.CDN(n_16));
   DFCNQD1 \pixel_counter_reg[1]  (.Q(pixel_counter[1]),
	.D(n_60),
	.CP(clkin_divided__L6_N0),
	.CDN(FE_OFN3_n_47));
   DFCNQD1 \pixel_counter_reg[0]  (.Q(pixel_counter[0]),
	.D(n_61),
	.CP(clkin_divided__L6_N0),
	.CDN(FE_OFN3_n_47));
   DFCNQD1 \bit_counter_reg[0]  (.Q(bit_counter[0]),
	.D(n_50),
	.CP(clkin_divided__L6_N0),
	.CDN(n_48));
   DFCNQD1 \bit_counter_reg[1]  (.Q(bit_counter[1]),
	.D(n_51),
	.CP(clkin_divided__L6_N0),
	.CDN(n_48));
   INR3D1 p1372A (.ZN(n_40),
	.B2(n_96),
	.B1(n_21),
	.A1(FE_OFN8_shift_data));
   INR3D1 p1178A (.ZN(n_27),
	.B2(n_133),
	.B1(n_123),
	.A1(FE_OFN7_token));
   INR3D1 p1198A2775 (.ZN(n_25),
	.B2(n_135),
	.B1(n_125),
	.A1(FE_OFN7_token));
   OR3D1 p1029A (.Z(n_14),
	.A3(n_80),
	.A2(bit_counter[1]),
	.A1(bit_counter[0]));
   NR2D0 p214748365A2779 (.ZN(n_15),
	.A2(state[1]),
	.A1(state[3]));
   OAI21D0 p1418A (.ZN(n_71),
	.B(n_63),
	.A2(n_126),
	.A1(n_43));
   OAI21D0 p1358A (.ZN(n_45),
	.B(n_37),
	.A2(n_11),
	.A1(n_133));
   DFQD2 \state_reg[0]  (.Q(state[0]),
	.D(n_75),
	.CP(clkin_divided__L6_N0));
   DFQD2 \state_reg[1]  (.Q(state[1]),
	.D(n_72),
	.CP(clkin_divided__L6_N0));
   CKAN2D1 p1016A (.Z(n_123),
	.A2(n_127),
	.A1(n_85));
   CKAN2D1 p1065A (.Z(n_129),
	.A2(n_4),
	.A1(n_85));
   CKAN2D1 p0899A (.Z(n_127),
	.A2(n_126),
	.A1(n_86));
   CKAN2D1 p1291A (.Z(n_46),
	.A2(n_38),
	.A1(n_35));
   OR2D0 p1526A (.Z(n_75),
	.A2(n_59),
	.A1(n_71));
   OR2D0 p1504A (.Z(n_12),
	.A2(n_6),
	.A1(FE_OFN7_token));
   CKND2 FE_OFC5_column_done (.ZN(FE_OFN5_column_done),
	.I(FE_OFN4_column_done));
   CKND2 FE_OFC1_dataout (.ZN(FE_OFN1_dataout),
	.I(FE_OFN0_dataout));
   NR2XD1 p214748365A2778 (.ZN(n_17),
	.A2(state[2]),
	.A1(n_136));
   OA222D0 p1286A (.Z(n_63),
	.C2(n_8),
	.C1(n_19),
	.B2(n_13),
	.B1(n_39),
	.A2(n_5),
	.A1(n_41));
   OA222D0 p1242A (.Z(n_37),
	.C2(n_87),
	.C1(n_6),
	.B2(n_135),
	.B1(n_7),
	.A2(n_10),
	.A1(n_134));
   HA1D0 p1714A (.S(n_57),
	.CO(n_56),
	.B(n_32),
	.A(bit_counter[2]));
   HA1D0 p1714A2768 (.S(n_55),
	.CO(n_54),
	.B(n_28),
	.A(cluster_counter[2]));
   HA1D0 p1714A2769 (.S(n_53),
	.CO(n_52),
	.B(n_30),
	.A(pixel_counter[2]));
   HA1D0 p1599A (.S(n_33),
	.CO(n_32),
	.B(bit_counter[1]),
	.A(bit_counter[0]));
   HA1D0 p1599A2773 (.S(n_31),
	.CO(n_30),
	.B(pixel_counter[1]),
	.A(pixel_counter[0]));
   HA1D0 p1599A2774 (.S(n_29),
	.CO(n_28),
	.B(cluster_counter[1]),
	.A(cluster_counter[0]));
   CKND2D1 p1222A (.ZN(n_7),
	.A2(n_85),
	.A1(n_124));
   CKND2D1 p1432A (.ZN(n_36),
	.A2(n_14),
	.A1(n_25));
   CKND2D1 p214748365A2777 (.ZN(n_22),
	.A2(state[2]),
	.A1(n_15));
   AO211D0 p1427A (.Z(n_76),
	.C(n_59),
	.B(n_62),
	.A2(n_126),
	.A1(n_42));
   IND2D0 p1199A (.ZN(n_90),
	.B1(n_123),
	.A1(n_133));
   IND2D0 p1214A (.ZN(n_89),
	.B1(n_129),
	.A1(n_134));
   AN4D0 p0904A (.Z(n_86),
	.A4(pixel_counter[0]),
	.A3(pixel_counter[1]),
	.A2(pixel_counter[2]),
	.A1(pixel_counter[3]));
   IND3D2 p1081A (.ZN(n_134),
	.B2(n_82),
	.B1(state[0]),
	.A1(state[1]));
   IND3D2 p1219A (.ZN(n_87),
	.B2(n_84),
	.B1(state[3]),
	.A1(state[2]));
   IND3D2 p1116A (.ZN(n_133),
	.B2(n_82),
	.B1(state[1]),
	.A1(state[0]));
   CKND16 FE_OFC6_column_done (.ZN(column_done),
	.I(FE_OFN5_column_done));
   CKND16 FE_OFC2_dataout (.ZN(dataout),
	.I(FE_OFN1_dataout));
   AOI21D2 p1356A1704 (.ZN(n_49),
	.B(n_44),
	.A2(n_127),
	.A1(n_27));
   AOI21D2 p214748365A1705 (.ZN(n_48),
	.B(n_17),
	.A2(n_136),
	.A1(n_34));
   OR2D1 p1356A (.Z(FE_OFN4_column_done),
	.A2(n_91),
	.A1(n_92));
   CKLNQD6 clkcollatch (.TE(FE_OFN7_token),
	.Q(clkout_gated),
	.E(FE_OFN7_token),
	.CP(clkin_divided__L2_N1));
   CKBD2 FE_OFC3_n_47 (.Z(FE_OFN3_n_47),
	.I(n_47));
   OAI211D1 p1266A (.ZN(n_92),
	.C(n_90),
	.B(n_87),
	.A2(n_135),
	.A1(n_7));
   INR2D0 p214748365A1699 (.ZN(set_flag),
	.B1(FE_OFN8_shift_data),
	.A1(fastor));
   BUFFD1 FE_OFC11_reset (.Z(FE_OFN11_reset),
	.I(reset));
   BUFFD1 FE_OFC7_token (.Z(FE_OFN7_token),
	.I(token));
   CKBD8 clkin_divided__L5_I0 (.Z(clkin_divided__L5_N0),
	.I(clkin_divided__L4_N0));
   CKBD8 clkout__SKEWGRP1__MMExc_0 (.Z(clkout),
	.I(clkout__SKEWGRP1___SRC));
   AO222D0 p1454A (.Z(n_64),
	.C2(n_18),
	.C1(state[3]),
	.B2(n_4),
	.B1(n_40),
	.A2(n_20),
	.A1(n_45));
   CKBD16 clkin_divided__L4_I0 (.Z(clkin_divided__L4_N0),
	.I(clkin_divided__L3_N0));
   AN4D1 p1106A (.Z(n_85),
	.A4(cluster_counter[0]),
	.A3(cluster_counter[1]),
	.A2(cluster_counter[2]),
	.A1(cluster_counter[3]));
   CKND24 clkin_slow__L1_I0 (.ZN(clkin_slow__L1_N0),
	.I(clkin_slow));
   CKND24 clkin_divided__L3_I0 (.ZN(clkin_divided__L3_N0),
	.I(clkin_divided__L2_N0));
   CKND24 clkin_divided__L2_I1 (.ZN(clkin_divided__L2_N1),
	.I(clkin_divided__L1_N0));
   CKND24 clkin_divided__L1_I0 (.ZN(clkin_divided__L1_N0),
	.I(clkin_divided));
   MAOI22D1 p1519A (.ZN(n_58),
	.B2(n_39),
	.B1(n_124),
	.A2(n_18),
	.A1(state[1]));
   CKBD12 clkin_divided__L6_I0 (.Z(clkin_divided__L6_N0),
	.I(clkin_divided__L5_N0));
   AO22D0 p1337A (.Z(n_59),
	.B2(n_40),
	.B1(n_5),
	.A2(n_127),
	.A1(n_42));
   OAI221D1 p1572A (.ZN(n_72),
	.C(n_58),
	.B2(n_41),
	.B1(n_4),
	.A2(n_127),
	.A1(n_43));
   OAI221D1 p1385A (.ZN(n_62),
	.C(n_41),
	.B2(n_9),
	.B1(n_19),
	.A2(n_39),
	.A1(n_14));
   CKND20 clkin_slow__L2_I0 (.ZN(clkin_slow__L2_N0),
	.I(clkin_slow__L1_N0));
   OAI21D1 p1331A (.ZN(n_91),
	.B(n_89),
	.A2(n_5),
	.A1(n_96));
   ND3D2 p1051A (.ZN(n_135),
	.A3(state[0]),
	.A2(state[1]),
	.A1(n_83));
   OAI31D1 p214748365A2772 (.ZN(n_34),
	.B(n_22),
	.A3(n_9),
	.A2(state[3]),
	.A1(state[0]));
   MUX2D2 p214748365A (.Z(clkout__SKEWGRP1___SRC),
	.S(select_clock),
	.I1(clkin_slow__L2_N0),
	.I0(clkout_gated));
   CKBD24 clkin_divided__I0 (.Z(clkin_divided__N0),
	.I(clkin_divided__L2_N0));
   CKBD24 TP_multibuffer (.Z(TPswitch_multi),
	.I(TPswitch));
   CKBD24 cdiv0_multibuffer (.Z(clock_div0_multi),
	.I(clock_div0));
   CKBD24 cdiv1_multibuffer (.Z(clock_div1_multi),
	.I(clock_div1));
   CKBD24 compr0_multibuffer (.Z(use_compression_multi),
	.I(FE_OFN9_use_compression));
   CKBD24 compr1_multibuffer (.Z(use_cluster_compression_multi),
	.I(FE_OFN10_use_cluster_compression));
   CKBD24 config_multibuffer (.Z(configure_matrix_multi),
	.I(configure_matrix));
   CKBD24 pol_multibuffer (.Z(polarity_multi),
	.I(polarity));
   CKBD24 shift_multibuffer (.Z(shift_multi),
	.I(FE_OFN8_shift_data));
   CKBD24 shutter_multibuffer (.Z(shutter_multi),
	.I(shutter));
   MUX2D0 p1497A (.Z(n_79),
	.S(n_49),
	.I1(cluster_counter[3]),
	.I0(n_67));
   MUX2D0 p1484A (.Z(n_78),
	.S(n_46),
	.I1(pixel_counter[3]),
	.I0(n_68));
   MUX2D0 p1584A (.Z(n_77),
	.S(n_36),
	.I1(bit_counter[3]),
	.I0(n_69));
   MUX2D0 p1479A (.Z(n_74),
	.S(n_49),
	.I1(cluster_counter[2]),
	.I0(n_55));
   MUX2D0 p1466A (.Z(n_73),
	.S(n_46),
	.I1(pixel_counter[2]),
	.I0(n_53));
   MUX2D0 p1566A (.Z(n_70),
	.S(n_36),
	.I1(bit_counter[2]),
	.I0(n_57));
   MUX2D0 p1479A2762 (.Z(n_65),
	.S(n_49),
	.I1(cluster_counter[1]),
	.I0(n_29));
   MUX2D0 p1466A2765 (.Z(n_60),
	.S(n_46),
	.I1(pixel_counter[1]),
	.I0(n_31));
   MUX2D0 p1566A2770 (.Z(n_51),
	.S(n_36),
	.I1(bit_counter[1]),
	.I0(n_33));
   INR2XD1 p1114A (.ZN(n_124),
	.B1(n_14),
	.A1(n_86));
   INR2XD1 p1033A (.ZN(n_82),
	.B1(state[3]),
	.A1(state[2]));
   INR2XD1 p0941A (.ZN(n_4),
	.B1(dataout),
	.A1(FE_OFN10_use_cluster_compression));
   INR2XD1 p0840A (.ZN(n_126),
	.B1(dataout),
	.A1(FE_OFN9_use_compression));
   NR2XD0 p1076A (.ZN(n_84),
	.A2(state[0]),
	.A1(state[1]));
   NR2XD0 p0948A (.ZN(n_83),
	.A2(state[3]),
	.A1(state[2]));
   NR2XD0 p1497A2780 (.ZN(n_13),
	.A2(n_14),
	.A1(n_124));
   CKBD20 clkin_divided__L2_I0 (.Z(clkin_divided__L2_N0),
	.I(clkin_divided__L1_N0));
   CKND2D2 p1612A (.ZN(n_21),
	.A2(n_12),
	.A1(FE_OFN11_reset));
   CKND2D0 p0956A (.ZN(n_80),
	.A2(bit_counter[3]),
	.A1(bit_counter[2]));
   CKND2D0 p1303A (.ZN(n_35),
	.A2(n_25),
	.A1(n_13));
   IND2D1 p1224A (.ZN(n_96),
	.B1(n_83),
	.A1(n_136));
   IND2D1 p1814A (.ZN(n_19),
	.B1(FE_OFN11_reset),
	.A1(n_12));
   INVD0 Fp1290A (.ZN(n_125),
	.I(n_7));
   XNR2D0 p1502A (.ZN(n_66),
	.A2(cluster_counter[0]),
	.A1(n_49));
   XNR2D0 p1490A (.ZN(n_61),
	.A2(pixel_counter[0]),
	.A1(n_46));
   XNR2D0 p1563A (.ZN(n_50),
	.A2(n_36),
	.A1(bit_counter[0]));
   AOI221D1 p214748365A2771 (.ZN(n_47),
	.C(n_17),
	.B2(state[0]),
	.B1(n_23),
	.A2(LTIELO_NET),
	.A1(LTIELO_NET));
   TIEL LTIELO (.ZN(LTIELO_NET));
   MOAI22D1 p1308A (.ZN(n_44),
	.B2(n_124),
	.B1(n_25),
	.A2(n_129),
	.A1(n_26));
   IND3D1 p1221A (.ZN(n_38),
	.B2(n_27),
	.B1(n_126),
	.A1(n_127));
   IND3D1 p1285A (.ZN(n_26),
	.B2(FE_OFN7_token),
	.B1(n_4),
	.A1(n_134));
   OR3D0 p1198A (.Z(n_43),
	.A3(n_133),
	.A2(n_123),
	.A1(n_21));
   OR3D0 p1140A (.Z(n_41),
	.A3(n_134),
	.A2(n_129),
	.A1(n_21));
   OR3D0 p1127A (.Z(n_39),
	.A3(n_135),
	.A2(n_125),
	.A1(n_21));
   CKND0 Fp1183A (.ZN(n_136),
	.I(n_84));
   CKND0 Fp1289A (.ZN(n_42),
	.I(n_43));
   CKND0 Fp9999936A (.ZN(n_23),
	.I(n_22));
   CKND0 Fp1647A (.ZN(n_20),
	.I(n_21));
   CKND0 Fp1926A (.ZN(n_18),
	.I(n_19));
   CKND0 Fp1178A (.ZN(n_11),
	.I(n_123));
   CKND0 Fp1143A (.ZN(n_10),
	.I(n_129));
   CKND0 Fn0033D (.ZN(n_9),
	.I(state[2]));
   CKND0 Fn0033D2781 (.ZN(n_8),
	.I(state[0]));
   CKND0 drc_bufs2793 (.ZN(n_5),
	.I(n_4));
   CKND0 drc_bufs2816 (.ZN(n_6),
	.I(FE_OFN8_shift_data));
   set_ff u (.clk(clkout__SKEWGRP1___SRC),
	.set(set_flag),
	.out(FE_OFN0_dataout),
	.in(datain_column));
endmodule

